<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.2.2.RELEASE</version>
        <relativePath/> <!-- lookup parent from repository -->
    </parent>
    <groupId>com.gz</groupId>
    <artifactId>guihua-archives</artifactId>
    <version>1.0.0</version>
    <name>guihua-archives</name>
    <description>规划档案</description>
    <properties>
        <java.version>1.8</java.version>
        <druid.version>1.1.17</druid.version>
        <mysql.connector.version>8.0.15</mysql.connector.version>
        <log4j.version>1.2.16</log4j.version>
        <lombok.version>1.18.12</lombok.version>
        <fast.json.version>1.2.47</fast.json.version>
        <tk.mapper.version>2.1.5</tk.mapper.version>
        <japidocs.version>1.4</japidocs.version>
        <pagehelper.spring.boot.version>1.2.3</pagehelper.spring.boot.version>
        <java.jwt.vetsion>3.7.0</java.jwt.vetsion>
        <apache.poi.version>3.17</apache.poi.version>
        <hutool.version>5.4.0</hutool.version>
        <screw.version>1.0.3</screw.version>
        <aliyun.sdk.version>4.5.3</aliyun.sdk.version>
        <aliyun.oss.sdk.version>3.10.2</aliyun.oss.sdk.version>
        <poi.version>4.1.2</poi.version>
        <bboss.elasticsearch.version>6.2.2</bboss.elasticsearch.version>
        <!-- 跳过打包测试 -->
        <skipTests>true</skipTests>
    </properties>


    <dependencies>
        <!--        aop-->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-aop</artifactId>
        </dependency>
        <!--        mybatis-->
        <dependency>
            <groupId>tk.mybatis</groupId>
            <artifactId>mapper-spring-boot-starter</artifactId>
            <version>${tk.mapper.version}</version>
        </dependency>
        <!--        Mysql驱动-->
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
            <scope>runtime</scope>
            <version>${mysql.connector.version}</version>
        </dependency>
        <!--            druid连接池-->
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>druid-spring-boot-starter</artifactId>
            <version>${druid.version}</version>
        </dependency>
        <!--            log4j-->
        <dependency>
            <groupId>log4j</groupId>
            <artifactId>log4j</artifactId>
            <version>${log4j.version}</version>
        </dependency>
        <!--            lombok-->
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <version>${lombok.version}</version>
        </dependency>
        <!--            fastJson-->
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>fastjson</artifactId>
            <version>${fast.json.version}</version>
        </dependency>
        <!--            分页插件-->
        <dependency>
            <groupId>com.github.pagehelper</groupId>
            <artifactId>pagehelper-spring-boot-starter</artifactId>
            <version>${pagehelper.spring.boot.version}</version>
        </dependency>
        <!--        JWT-->
        <dependency>
            <groupId>com.auth0</groupId>
            <artifactId>java-jwt</artifactId>
            <version>${java.jwt.vetsion}</version>
        </dependency>
        <!--        Hutool-->
        <dependency>
            <groupId>cn.hutool</groupId>
            <artifactId>hutool-all</artifactId>
            <version>${hutool.version}</version>
        </dependency>
        <!--        spring-web-->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>

        <!-- redis依赖包 -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-redis</artifactId>
        </dependency>
        <!-- webSocket-->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-websocket</artifactId>
        </dependency>
        <!-- poi-->
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi-ooxml</artifactId>
            <version>${poi.version}</version>
        </dependency>

        <!-- rabbitmq-->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-amqp</artifactId>
        </dependency>

        <!--        单元测试模块-->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
            <exclusions>
                <exclusion>
                    <groupId>org.junit.vintage</groupId>
                    <artifactId>junit-vintage-engine</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <!--        bboss-->
        <dependency>
            <groupId>com.bbossgroups.plugins</groupId>
            <artifactId>bboss-elasticsearch-rest-jdbc</artifactId>
            <version>${bboss.elasticsearch.version}</version>
        </dependency>
        <dependency>
            <groupId>com.bbossgroups.plugins</groupId>
            <artifactId>bboss-elasticsearch-spring-boot-starter</artifactId>
            <version>${bboss.elasticsearch.version}</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-devtools</artifactId>
            <optional>true</optional>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <configuration>
                    <excludeDevtools>false</excludeDevtools>
                </configuration>
            </plugin>

<!--            <plugin>-->
<!--                <groupId>cn.smallbun.screw</groupId>-->
<!--                <artifactId>screw-maven-plugin</artifactId>-->
<!--                <version>1.0.3</version>-->
<!--                <dependencies>-->
<!--                    &lt;!&ndash; HikariCP &ndash;&gt;-->
<!--                    <dependency>-->
<!--                        <groupId>com.zaxxer</groupId>-->
<!--                        <artifactId>HikariCP</artifactId>-->
<!--                        <version>3.4.5</version>-->
<!--                    </dependency>-->
<!--                    &lt;!&ndash;mysql driver&ndash;&gt;-->
<!--                    <dependency>-->
<!--                        <groupId>mysql</groupId>-->
<!--                        <artifactId>mysql-connector-java</artifactId>-->
<!--                        <version>8.0.20</version>-->
<!--                    </dependency>-->
<!--                </dependencies>-->
<!--                <configuration>-->
<!--                    &lt;!&ndash;username&ndash;&gt;-->
<!--                    <username>root</username>-->
<!--                    &lt;!&ndash;password&ndash;&gt;-->
<!--                    <password>abcd123456!@#</password>-->
<!--                    &lt;!&ndash;driver&ndash;&gt;-->
<!--                    <driverClassName>com.mysql.cj.jdbc.Driver</driverClassName>-->
<!--                    &lt;!&ndash;jdbc url&ndash;&gt;-->
<!--                    <jdbcUrl><![CDATA[jdbc:mysql://115.159.38.225:3306/guihua_archives?autoReconnect=true&useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=CONVERT_TO_NULL&useSSL=false&serverTimezone=GMT%2B8]]></jdbcUrl>-->
<!--                    &lt;!&ndash;生成文件类型&ndash;&gt;-->
<!--                    <fileType>WORD</fileType>-->
<!--                    &lt;!&ndash;打开文件输出目录&ndash;&gt;-->
<!--                    <openOutputDir>false</openOutputDir>-->
<!--                    &lt;!&ndash;生成模板&ndash;&gt;-->
<!--                    <produceType>freemarker</produceType>-->
<!--                    &lt;!&ndash;文档名称 为空时:将采用[数据库名称-描述-版本号]作为文档名称&ndash;&gt;-->
<!--&lt;!&ndash;                    <fileName>111</fileName>&ndash;&gt;-->
<!--                    &lt;!&ndash;描述&ndash;&gt;-->
<!--                    <description>数据库文档生成</description>-->
<!--                    &lt;!&ndash;版本&ndash;&gt;-->
<!--                    <version>${project.version}</version>-->
<!--                    &lt;!&ndash;标题&ndash;&gt;-->
<!--                    <title>数据库文档</title>-->
<!--                </configuration>-->
<!--                <executions>-->
<!--                    <execution>-->
<!--                        <phase>compile</phase>-->
<!--                        <goals>-->
<!--                            <goal>run</goal>-->
<!--                        </goals>-->
<!--                    </execution>-->
<!--                </executions>-->
<!--            </plugin>-->
        </plugins>
    </build>



</project>
